2020-10-26 19:53 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003302Darkmere[All Projects] Generalpublic2016-02-18 23:03
ReporterJoao azevedo 
Assigned ToWeplProject InfoDarkmere (Core Design)
http://www.whdload.de/games/Darkmere.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003302: Hi, When I try to run the game, after the WHDLoad splash window the game exit
DescriptionGameVersion: english,pal,4 disks
SlaveVersion: V1.1 Date 03.07.2006

Hi,
When I try to run the game, after the WHDLoad splash window the game exit to the workbench with a dialog box saying:
     WHDLoad 18.1 @1994-2015 Wepl
     Exception "Address Error" ($F00C)
     PC = $62C476 (Slave $2CE)
     Read from $D0001
I tried in WinUAE Configured for A600 and the game also crashes.
Thanks.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem2 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.1
importedyes
Attached Files
  • ? file icon .whdl_register (3,135 bytes) 2015-10-26 01:38 -
    ************************* 25-Oct-15 13:52:08 ************************18.1.5717***
    Slave='Darkmere.Slave' (1492 bytes)
    ShadowMem   6701D0 -   6BB1D0 ( 307200) AbsolutMem    4B000 -   100000 ( 741376)
    Resload     65DC10 -   664244 (  26164) at 65DC10  GL=$6682F8
    Slave       62C1A8 -   62C758 (   1456) at 62C1A8  BaseMemSize=$100000
    attn=0(00) fc=-1 kn=23525 cs=50F2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=13E(IC,SCB,ECB,BWT)
    
    Exception "Address Error" ($F00C) PC = $62C476 (Slave $2CE) Read from $D0001
    
    $0062c438 move.l       #$6e8c0,($14,a0)               ;$000d0015
    $0062c440 adda.l       #$15000,a0
    $0062c446 move.l       #$a8c0,($6ac,a0)               ;$000d06ad
    $0062c44e move.l       #$6e8c0,($6b0,a0)              ;$000d06b1
    $0062c456 move.l       (a7)+,a0                       ;$000fffe2
    $0062c458 rts
    $0062c45a movem.l      d0/a0-a1,-(a7)                 ;$000fffe2
    $0062c45e move.l       ($62c746,pc),a0
    $0062c462 move.l       a0,a1
    $0062c464 adda.l       #$27000,a1
    $0062c46a move.l       #$839000e,d0
    $0062c470 cmpa.l       a0,a1
    $0062c472 beq.b        $62c4a4
    $0062c474 cmp.l        (a0),d0                        ;$000d0001
    1m$0062c476 beq.b        $62c47c
    22m$0062c478 addq.l       #1,a0
    $0062c47a bra.b        $62c470
    $0062c47c cmpi.l       #$dff002,(4,a0)                ;$000d0005
    $0062c484 bne.b        $62c478
    $0062c486 cmpi.w       #$66f6,(8,a0)                  ;$000d0009
    $0062c48c bne.b        $62c478
    $0062c48e move.w       #$4eb9,(a0)                    ;$000d0001
    $0062c492 pea          ($62c4aa,pc)
    $0062c496 move.l       (a7)+,(2,a0)                   ;$000fffe2 $000d0003
    $0062c49a move.l       #$4e714e71,(6,a0)              ;$000d0007
    $0062c4a2 bra.b        $62c478
    $0062c4a4 movem.l      (a7)+,d0/a0-a1                 ;$000fffe2
    $0062c4a8 rts
    $0062c4aa tst.b        ($dff002)
    
    exception stackframe:
    $000FFFE2 B095000D 0001B090 20000062 C476
    regular stack:
    $000FFFF0 000232D4 000D0000 0062C746 0062C3BE
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx  839000E  D1D1D1D1  D2D2D2D2  D3D3D3D3  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax    D0001     F7000    65DC10     D0000  A4A4A4A4  A5A5A5A5  A6A6A6A6
    
                     TTSM III   XNZVC
    PC=  62C47622m  SR %0010000000000000  USP=FFC00  1mSSP=FFFE2
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%000000000000000022m dmacon=%1m0010000000000000 adkcon=$1100
    intreq=%0010000000100000
    vposr....A000  vhposr...04B8  joy0dat..0002  joy1dat..0000  clxdat...8001  
    pot0dat..EBFB  pot1dat..E0E0  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FFFC  hhposr...FF1C  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=0000DD  icr=00  sdr=00    event=010E35  icr=84  sdr=00
    
    ? file icon .whdl_register (3,135 bytes) 2015-10-26 01:38 +
  • ? file icon Darkmere.Slave (1,420 bytes) 2016-02-17 21:29

-Relationships
+Relationships

-Notes

note ~0004859

Wepl (manager)

Please try the attached Slave.

note ~0004870

Wepl (manager)

Sorry forgotten. Now attached.

note ~0004873

retrogamer (reporter)

Thanks.

The game runs fine on 68000 now but quitkey is still not working.

note ~0004881

Wepl (manager)

Please try the new Slave attached.

note ~0004882

retrogamer (reporter)

Thanks!

Quitkey works on 68000 now.

I think the new slave is ready to publish on www.whdload.de now.

note ~0004884

Wepl (manager)

Thanks for testing, new install is released.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-25 16:27 administrator New Issue
2015-10-25 16:27 administrator Status new => assigned
2015-10-25 16:27 administrator Assigned To => Wepl
2015-10-26 01:38 Joao azevedo File Added: .whdl_register
2016-02-14 17:28 Wepl Note Added: 0004859
2016-02-15 19:41 Wepl File Added: Darkmere.Slave
2016-02-15 19:41 Wepl Note Added: 0004870
2016-02-15 21:54 retrogamer Note Added: 0004873
2016-02-17 21:29 Wepl File Deleted: Darkmere.Slave
2016-02-17 21:29 Wepl File Added: Darkmere.Slave
2016-02-17 21:29 Wepl Note Added: 0004881
2016-02-17 21:42 retrogamer Note Added: 0004882
2016-02-18 23:03 Wepl Note Added: 0004884
2016-02-18 23:03 Wepl Status assigned => resolved
2016-02-18 23:03 Wepl Resolution open => fixed
+Issue History